Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.transaction
Class Transaction

    java.lang.Object
      org.jboss.seam.transaction.Transaction

    @Name(value="org.jboss.seam.transaction.transaction")
    @Scope(value=EVENT)
    @Install(precedence=0)
    @BypassInterceptors
    public class Transaction

extends Object

Supports injection of a Seam UserTransaction object that wraps the current JTA transaction or EJB container managed transaction.

Author:
  Mike Youngstrom, Gavin King

Field Summary
`static String` | `TRANSACTION_FAILED`

Constructor Summary
`Transaction()`

Method Summary
`protected UserTransaction` | `createCMTTransaction()`
`protected UserTransaction` | `createNoTransaction()`
`protected UserTransaction` | `createUTTransaction()`
`UserTransaction` | `getTransaction()`
`protected UserTransaction` | `getUserTransaction()`
`static UserTransaction` | `instance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSACTION_FAILED

    public static final String TRANSACTION_FAILED

See Also:
  Constant Field Values

Constructor Detail

### Transaction

    public Transaction()

Method Detail

### instance

    public static UserTransaction instance()

### getTransaction

    @Unwrap
    public UserTransaction getTransaction()
                                   throws NamingException

  Throws:
    `NamingException`

### createNoTransaction

    protected UserTransaction createNoTransaction()

### createCMTTransaction

    protected UserTransaction createCMTTransaction()
                                            throws NamingException

  Throws:
    `NamingException`

### createUTTransaction

    protected UserTransaction createUTTransaction()
                                           throws NamingException

  Throws:
    `NamingException`

### getUserTransaction

    protected UserTransaction getUserTransaction()
                                          throws NamingException

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.